module RAM (Q,D,addr,we,clk);
	input [7:0] D;
	input [7:0] addr;
	input we,clk;
	output [7:0] Q;
	wire high;
	
	assign high=1;
	
	lpm_ram_dq myRAM (.q(Q),.data(D),.address(addr),.we(we),.inclock(clk),.outclock(high));
		defparam myRAM.lpm_width=8;
		defparam myRAM.lpm_widthad=8;
		defparam myRAM.lpm_indata="REGISTERED";
		defparam myRAM.lpm_outdata="UNREGISTERED";
		defparam myRAM.lpm_file="RAMtest.mif";
	

endmodule