module aluN ( A, B, f, result );

	parameter N=9;
	input [N-1:0] A, B;
	input [2:0] f;
	output [N:0] result;
	reg [N:0] result;
	
	always @ ( A or B or f )
	
		case (f)
		
		3'b000: result = {1'b0,A}+{1'b0,B};
		3'b001: result = {1'b0,A}-{1'b0,B};
		3'b010: result = {1'b0,A}&{1'b0,B};
		3'b011: result = {1'b0,A}^{1'b0,B};
		3'b100: result = {1'b0,B};
		3'b101: result = {1'b0,A};
		3'b110: begin
				result [8:1] = A[7:0];
				result[0] = 0;
				end
		3'b111: begin
				result [8] = 0;
				result [7] = 0;
				result [6:0] = A[7:1];
				end
				
		endcase
		
endmodule
