module regfile ( clk, raddr1, raddr2, waddr, we, Din, Dout1, Dout2 );

	parameter N = 8;
	input clk, we;
	input [1:0] raddr1, raddr2, waddr;
	input [N-1:0] Din;
	output [N-1:0] Dout1, Dout2;
	reg [N-1:0] regfile [3:0];
	
	assign Dout1 = regfile [raddr1];
	assign Dout2 = regfile [raddr2];
	
	always @ ( posedge clk )
		if (we) regfile [waddr] <= Din;
		
endmodule
