module regN ( clk, rst, pst, load, data, Q );
	
	parameter N=8;
	input clk, rst, pst, load;
	input [N-1:0] data;
	output [N-1:0] Q;
	reg [N-1:0] Q;
	
	always @ ( negedge rst or negedge pst or posedge clk )
		
		if (!rst) Q<=0;
		else if (!pst) Q<=1;
		else if (load) Q<=data;
		
endmodule 